Arch Building/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Building
|Name=Arch Building
Line 8: Line 9:
|SeeAlso=[[Arch Floor/ru|Этаж]], [[Arch Site/ru|Место]]
|SeeAlso=[[Arch Floor/ru|Этаж]], [[Arch Site/ru|Место]]
}}
}}
</div>


==Описание==
==Описание==
Line 15: Line 17:
==Использование==
==Использование==


# Optionally, select one or more objects to be included in your new building
# Optionally, select one or more objects to be included in your new building.
# Press the {{KEY|[[Image:Arch Building.png|16px]] '''Arch Building'''}} button, or press the {{KEY|B}} then {{KEY|U}} keys
# Press the {{Button|[[Image:Arch Building.svg|16px]] [[Arch Building]]}} button, or press the {{KEY|B}} then {{KEY|U}} keys.


==Options==
==Options==


* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its '''IFC role''' property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC role.
* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its {{PropertyData|IFC role}} property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC role.
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add]] tool
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add]]}} tool.
* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove]] tool
* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove]]}} tool.


==Properties==
==Properties==
Line 29: Line 31:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


The Building tool can by used in [[macros]] and from the python console by using the following function:
The Building tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
{{Code|code=
Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
makeBuilding ([objectslist])
}}
}}

creates a building including the objects from the given list.
* Creates a {{incode|Building}} object from {{incode|objectslist}}, which is a list of objects, or {{incode|baseobj}}, which is a {{incode|Shape}}.


Example:
Example:
{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch
Arch.makeBuilding()
}}


p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
}}
<div class="mw-translate-fuzzy">
[[Category:Arch/ru]]
[[Category:Arch/ru]]
</div>

Revision as of 17:41, 30 January 2019

Arch Building

Системное название
Arch Building
Расположение в меню
Архитектура→ Здание
Верстаки
Arch
Быстрые клавиши
B U
Представлено в версии
-
См. также
Этаж, Место

Описание

Arch Building - это особый тип объекта группы FreeCAD, который особенно подходит для представления целого здания. Они в основном используются для организации вашей модели с помощью объектов floor.

Использование

  1. Optionally, select one or more objects to be included in your new building.
  2. Press the Arch Building button, or press the B then U keys.

Options

  • Starting from FreeCAD version 0.18, the Building object is actually a BuildingPart with its ДанныеIFC role property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC role.
  • After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a building by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

  • ДанныеBuilding Type: The type of this building, to choose from a list

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Building tool can be used in macros and from the Python console by using the following function:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Creates a Building object from objectslist, which is a list of objects, or baseobj, which is a Shape.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()